{"swagger":"2.0","info":{"version":"3.2.0","title":"1A_REST_JSON_Inventory_Push_Synchronize","description":"The Inventory Push feed synchronizes a list of all inventory counters for a property. Supported Operations: POST","x-release-note":{"3.1.0":["######### New in Request ###########","InventoryPeriod.nonRoomInventory"],"3.2.0":["######### New in Request ###########","inventoryStatistics.inventoryPoolsPeriods"]},"termsOfService":"https://developers.amadeus.com","contact":{"name":"Amadeus Hospitality Systems Integration Support"},"license":{"name":"Amadeus IT Group SA","url":"http://www.amadeus.com/"}},"basePath":"/v3","schemes":["https"],"consumes":["application/json"],"produces":["application/json"],"tags":[{"name":"Inventory Push Synchronize"}],"paths":{"/InventoryStatistics/{chainCode}/{propertyCode}":{"post":{"tags":["Inventory Push Synchronize"],"operationId":"synchronizeInventoryPush","summary":"synchronize-inventory-push","description":"synchronize Inventory Push feed message to target systems","produces":["application/json"],"parameters":[{"name":"chainCode","in":"path","required":true,"type":"string","pattern":"[A-Z0-9]{2,3}","minLength":2,"maxLength":3,"description":"Unique Identifier of the chain within the CRS","x-path":"/paths[\"undefined\"]/undefined/parameters[0]"},{"name":"propertyCode","in":"path","required":true,"type":"string","pattern":"[A-Z0-9]{1,8}","minLength":1,"maxLength":8,"description":"unique identifier of the property in the chain","x-path":"/paths[\"undefined\"]/undefined/parameters[1]"},{"name":"body","in":"body","required":true,"description":"request body","schema":{"$ref":"#/definitions/Request"},"x-path":"/paths[\"undefined\"]/undefined/parameters[2]"},{"name":"Ama-Request-Id","required":false,"type":"string","description":"request Id of the message.Unique transaction identifier","in":"header","x-path":"/paths[\"undefined\"]/undefined/parameters[3]"},{"name":"Ama-Request-Correlation-Id","required":false,"type":"string","description":"correlation request id grouping several transactions that are related","in":"header","x-path":"/paths[\"undefined\"]/undefined/parameters[4]"},{"name":"Ama-Correlation-Id","required":false,"type":"string","description":"correlation id grouping several transactions that are related","in":"header","x-path":"/paths[\"undefined\"]/undefined/parameters[5]"},{"name":"Ama-Retry-Count","required":false,"type":"integer","description":"retry count of the message","in":"header","x-path":"/paths[\"undefined\"]/undefined/parameters[6]"},{"name":"Ama-Sequence-Id","in":"header","required":false,"type":"integer","format":"int32","description":"sequence of the message depending on the scope. Refer implementation details","x-path":"/paths[\"undefined\"]/undefined/parameters[7]"},{"name":"Ama-Destinations-Whitelist","in":"header","required":false,"description":"targeted systems for the message","type":"array","items":{"type":"string"},"x-path":"/paths[\"undefined\"]/undefined/parameters[8]"},{"name":"Ama-Destinations-Blacklist","in":"header","required":false,"description":"targeted systems for the message except the ones in this list","type":"array","items":{"type":"string"},"x-path":"/paths[\"undefined\"]/undefined/parameters[9]"},{"name":"Ama-Transmission-Time","in":"header","required":false,"type":"string","description":"[date-time]Time when the header is attached to the message","format":"date-time","x-path":"/paths[\"undefined\"]/undefined/parameters[10]"}],"responses":{"200":{"description":"Request OK","schema":{"$ref":"#/definitions/Response"},"x-path":"/paths[\"undefined\"]/undefined/responses[200]"},"400":{"description":"Bad Request - Client sent a request that is not conforming to API. Client has to modify the request so that it passes. Most of functional error responses fall under this category. Response body must include troubleshooting information. 1) Invalid URI format 2) Parameters are not passing validation 3) Request is not valid (e.g. query for past date availability)","schema":{"$ref":"#/definitions/Response"},"x-path":"/paths[\"undefined\"]/undefined/responses[400]"},"503":{"description":"Service Unavailable - The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.","schema":{"$ref":"#/definitions/Response"},"x-path":"/paths[\"undefined\"]/undefined/responses[503]"}}}}},"definitions":{"PriceGrid":{"title":"priceGrid","type":"object","properties":{"code":{"description":"[alphanumeric]Unique identifier of the price grid","type":"string"},"bookingCounter":{"description":"[integer]Total bookings at price grid level","type":"integer","format":"int64"},"bookingLimit":{"description":"[integer] Non RMS: Booking Limit if allowed, hotel sellable capacity otherwise. RMS: Booking Limit if allowed, not present otherwise","type":"integer","format":"int64"}},"required":["code"]},"InventoryPeriod":{"title":"inventoryPeriod","type":"object","properties":{"inventoryDate":{"description":"[date]Inventory Date","type":"string","format":"date"},"totalInventory":{"$ref":"#/definitions/TotalInventory"},"inventoryTypes":{"type":"array","items":{"$ref":"#/definitions/InventoryType"}},"priceGrids":{"type":"array","items":{"$ref":"#/definitions/PriceGrid"}},"nonRoomInventory":{"type":"array","items":{"$ref":"#/definitions/NonRoomInventory"}},"groups":{"type":"array","items":{"$ref":"#/definitions/Group"}}},"required":["inventoryDate","totalInventory"]},"InventoryPoolsProduct":{"title":"InventoryPoolsProduct","type":"object","properties":{"code":{"description":"sleeping Room Product Type code","type":"string","minLength":1,"maxLength":50,"pattern":"^[A-Z0-9]{1,50}$"}},"required":["code"]},"inventoryPool":{"title":"inventoryPool","type":"object","properties":{"code":{"description":"inventory pool code","type":"string","example":"IC01","minLength":1,"maxLength":50,"pattern":"^[A-Z0-9]{1,50}$"},"ginvAvailabilityCounters":{"description":"[integer]Total available rooms in the GINV for each day of the period","type":"array","items":{"type":"integer"},"format":"int64"},"adaptedCapacityCounters":{"description":"Inventory Pool Adapted Capacity. This is the Inventory Pool adapted capacity (maximum number of rooms that the hotel wants to sell). Formula : sum of (capacityRoomsCounters - outOfInventoryRoomsCounters) (at Sleeping Room Product Type level)","type":"array","items":{"type":"integer"},"format":"int64"},"availabilityCounters":{"description":"Inventory Pool Availability. This is the number of rooms available with Overbooking for this Inventory Pool. The Inventory Pool Availability could be capped by the Property Availability. The ITs in the Inventory Pool are capped by the availability of its Inventory Pool. Formula : Min of [Sum(sleepingRoomInventoryTypes.sellableCapacityCounters) - Sum(sleepingRoomInventoryTypes.bookingCounters) - Sum(sleepingRoomInventoryTypes.unsoldDeductedRoomCounters) + overbookingCounters, hotel.availabilityCounters]","type":"array","items":{"type":"integer"},"format":"int64"},"bookingCounters":{"description":"inventory Pool Booking Counters. This is the number of rooms sold in the Inventory Pool. Formula : Sum(sleepingRoomInventoryTypes.bookingCounter). The sum of the bookingCounters of the ITs in the Inventory Pool","type":"array","items":{"type":"integer"},"format":"int64"},"ginvBookingCounters":{"description":"property Booking Counters in General Inventory. This is the number of rooms sold in the General Inventory and parity groups for this Property. Formula : bookingCounters - groupBookingCounters","type":"array","items":{"type":"integer"},"format":"int64"},"groupBookingCounters":{"description":"inventory Pool Booking Counters in Groups and Allotments. This is the number of rooms sold for all the groups and allotments for this Inventory Pool. Formula : groupCounters.bookingCounters + allotmentCounters.bookingCounters","type":"array","items":{"type":"integer"},"format":"int64"},"overbookingCounters":{"description":"inventory Pool Overbooking. This is the Overbooking counter for this Inventory Pool. The Inventory Pool overbookingCounter is independent from the overbookingCounter of the ITs in it and the Property overbookingCounter","type":"array","items":{"type":"integer"},"format":"int64"},"sellableCapacityCounters":{"description":"Inventory Pool Sellable Capacity. This is the Inventory Pool sellable capacity (maximum number of rooms that can be sold). Formula: Sum(sleepingRoomInventoryTypes.sellableCapacityCounter). The sum of the sellableCapacityCounters of the ITs in the Inventory Pool","type":"array","items":{"type":"integer"},"format":"int64"},"unsoldDeductedRoomsCounters":{"description":"Inventory Pool Unsold Deducted Rooms. This is the sum of the remaining number of rooms that are guaranteed for all the dedicated allotments for Sleeping Room Product Types in this Inventory Pools. Formula: Sum(sleepingRoomInventoryTypes.unsoldDeductedRoomCounter)","type":"array","items":{"type":"integer"},"format":"int64"},"products":{"description":"This is the array of Sleeping Room Product Types","type":"array","items":{"$ref":"#/definitions/InventoryPoolsProduct"}}},"required":["code","adaptedCapacityCounters","availabilityCounters","bookingCounters","ginvBookingCounters","groupBookingCounters","overbookingCounters","sellableCapacityCounters","unsoldDeductedRoomsCounters"]},"inventoryPoolsPeriod":{"title":"inventoryPoolsPeriod","type":"object","properties":{"endDate":{"description":"this is the last date with dressed data in the requested period","type":"string","pattern":"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])$","example":"2020-04-25"},"startDate":{"description":"this is the first date with dressed data in the requested period","type":"string","pattern":"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])$","example":"2020-04-23"},"status":{"description":"this is the status of the period. Possible status values : - OK - outDated : Period prior to system history date","type":"string","minLength":1,"maxLength":32,"pattern":"[A-Z0-9]{1,32}","example":"OK"},"inventoryPools":{"description":"This is the array of Inventory Pools. Only present when no Inventory Pool code is requested and there are InventoryPools defined in the Property or when the requested Inventory Pool codes exist","type":"array","items":{"$ref":"#/definitions/inventoryPool"}}},"required":["endDate","startDate","status"]},"InventoryStatistics":{"title":"inventoryStatistics","type":"object","properties":{"chainCode":{"description":"[alphanumeric]Unique identifier of the chain","type":"string"},"propertyCode":{"description":"[alphanumeric]Unique identifier of the property","type":"string"},"action":{"$ref":"#/definitions/Action"},"isRms":{"description":"[boolean]Flag indicating if hotel is RMS or Non-RMS","type":"boolean"},"inventoryPeriods":{"description":"","type":"array","items":{"$ref":"#/definitions/InventoryPeriod"}},"inventoryPoolsPeriods":{"description":"this is the array of periods to group Inventory Pools. Only present when filter at inventory pool level is requested or no filter","type":"array","items":{"$ref":"#/definitions/inventoryPoolsPeriod"}}},"required":["chainCode","propertyCode","action","isRms","inventoryPeriods"]},"TransactionStatusDef":{"title":"transactionStatusDef","example":"Success","type":"string","enum":["Success","Error"]},"Response":{"title":"response","type":"object","properties":{"transactionStatus":{"$ref":"#/definitions/TransactionStatus"}}},"Action":{"title":"action","example":"Update","type":"string","enum":["Update","Refresh"]},"Request":{"title":"request","type":"object","properties":{"generationTime":{"description":"[date-time]Zulu time up to the second at which the data has been gathered. Format is ISO8601. e.g. :  2016-01-19T16:07:37Z","type":"string","format":"date-time"},"inventoryStatistics":{"$ref":"#/definitions/InventoryStatistics"}},"required":["generationTime","inventoryStatistics"]},"TransactionStatus":{"title":"transactionStatus","type":"object","properties":{"transactionStatus":{"$ref":"#/definitions/TransactionStatusDef"},"warnings":{"description":"","type":"array","items":{"$ref":"#/definitions/Warning"}},"errors":{"description":"","type":"array","items":{"$ref":"#/definitions/Error"}}},"required":["transactionStatus"]},"Group":{"title":"group","type":"object","properties":{"code":{"description":"[alphanumeric] Unique identifier of the group","type":"string"},"allocatedInventoryTypesCounter":{"description":"[integer]InventoryTypes contracted at group level","type":"integer","format":"int64"},"deductedInventoryTypesCounter":{"description":"[integer]InventoryTypes deducted for the group","type":"integer","format":"int64"},"bookingCounter":{"description":"[integer]inventory  types  sold in the selected group","type":"integer","format":"int64"}},"required":["code"]},"Error":{"title":"error","type":"object","properties":{"code":{"description":"[alphanumeric]Error code in a client's CRS error response","type":"string"},"text":{"description":"[string]Error explanation in a client's CRS error response","type":"string"}},"required":["code","text"]},"Warning":{"title":"warning","type":"object","properties":{"code":{"description":"[alphanumeric]Warning code in a client's CRS warning response","type":"string"},"text":{"description":"[string]Warning explanation in a client's CRS warning response","type":"string"}},"required":["code","text"]},"TotalInventory":{"title":"totalInventory","type":"object","properties":{"actualCountCounter":{"description":"[integer] Actual Count . Non-RMS: physical capacity, RMS: sellable capacity","type":"integer","format":"int64"},"ginvBookingCounter":{"description":"[integer] Sum of all sold inventory  types in GINV","type":"integer","format":"int64"},"allocatedInventoryTypesCounter":{"description":"[integer] Total deducted and non-deducted InventoryTypes on all allotments in the hotel","type":"integer","format":"int64"},"deductedInventoryTypesCounter":{"description":"[integer]Total deducted InventoryTypes from each allotment in the hotel","type":"integer","format":"int64"},"groupBookingCounter":{"description":"[integer]Sum of all dedicated allotments' bookings","type":"integer","format":"int64"},"overbookingCounter":{"description":"[integer]Daily Sum of overbooking values for all classes in the property","type":"integer","format":"int64"},"bookingCounter":{"description":"[integer] Total bookings at hotel level","type":"integer","format":"int64"},"authorizedCountCounter":{"description":"[integer] Authorized Count . \nOnly applicable to Non-RMS hotels: sellable hotel capacity","type":"integer","format":"int64"},"houseLosCounter":{"description":"[integer] Daily length of stay for non-specialty product class (only for non-RMS properties)","type":"integer","format":"int64"},"ginvAvailabilityCounters":{"description":"[integer]Total available rooms in the GINV for each day of the period","type":"array","items":{"type":"integer"},"format":"int64"},"committedRoomsCounters":{"description":"[integer]Total committed rooms from each allotment in the hotel (total authorized rooms) for each day of the period","type":"array","items":{"type":"integer"},"format":"int64"},"availabilityCounters":{"description":"[integer]Total available rooms at hotel level for each day of the period","type":"array","items":{"type":"integer"},"format":"int64"}},"required":["actualCountCounter","ginvBookingCounter","allocatedInventoryTypesCounter","deductedInventoryTypesCounter","groupBookingCounter","overbookingCounter","bookingCounter","ginvAvailabilityCounters","committedRoomsCounters","availabilityCounters"]},"InventoryType":{"title":"inventoryType","type":"object","properties":{"code":{"description":"[alphanumeric]Unique identifier of the product","type":"string"},"actualCountCounter":{"description":"[integer]Actual Count . Non-RMS: physical capacity, RMS: sellable capacity","type":"integer","format":"int64"},"ginvBookingCounter":{"description":"[integer] Total of GINV bookings at inventory type level","type":"integer","format":"int64"},"allocatedInventoryTypesCounter":{"description":"[integer]Sum of deducted plus non-deducted InventoryTypes in all groups at inventory type level","type":"integer","format":"int64"},"deductedInventoryTypesCounter":{"description":"[integer]Total deducted InventoryTypes in all groups by InventoryType","type":"integer","format":"int64"},"bookingCounter":{"description":"[integer]Total of hotel bookings at inventory  ype level","type":"integer","format":"int64"},"groupBookingCounter":{"description":"[integer]Total group bookings at inventory type level","type":"integer","format":"int64"},"outOfOrderInventoryTypesCounter":{"description":"[integer]Total of out of order inventory types at product level","type":"integer","format":"int64"},"outOfInventoryInventoryTypesCounter":{"description":"[integer]Total of out of inventory inventory types at product level","type":"integer","format":"int64"},"capacityInventoryTypesCounter":{"description":"[integer]Number of inventory types (does not deduct the number of out of order and out of inventory inventory types)","type":"integer","format":"int64"},"pacCode":{"description":"[string]Product Attribute Occupancy Code","type":"string"},"authorizedCountCounter":{"description":"[integer] Authorized Count. \nOnly applicable to Non-RMS hotels: sellable hotel capacity.","type":"integer","format":"int64"}},"required":["code","actualCountCounter","ginvBookingCounter","allocatedInventoryTypesCounter","deductedInventoryTypesCounter","bookingCounter","groupBookingCounter","outOfOrderInventoryTypesCounter","outOfInventoryInventoryTypesCounter","capacityInventoryTypesCounter"]},"NonRoomInventory":{"title":"nonRoomInventory","type":"object","properties":{"code":{"description":"[alphanumeric] Non Room inventory types code","type":"string","pattern":"[A-Z0-9]{1,8}","minLength":1,"maxLength":8},"adaptedCapacityCounter":{"description":"[integer] Capacity minus sum of all Out of Inventory counters at Non Room Inventory Type level","type":"integer","format":"int64"},"availabilityCounter":{"description":"[integer] Number of available Non Rooms","type":"integer","format":"int64"},"bookingCounter":{"description":"[integer]Total of bookings at Non Room Inventory Type level","type":"integer","format":"int64"},"capacityCounter":{"description":"[integer] Number of Non Rooms","type":"integer","format":"int64"},"outOfInventoryCounter":{"description":"[integer] Total of out of inventory at Non Room Inventory Type level","type":"integer","format":"int64"},"outOfOrderCounter":{"description":"[integer] Total of out of order at Non Room Inventory Type level","type":"integer","format":"int64"},"overbookingCounter":{"description":"[integer] Total of overbooking at Non Room Inventory Type level ","type":"integer","format":"int64"},"sellableCapacityCounter":{"description":"[integer] Adapted Capacity minus sum of all Out of Order counters at Non Room Inventory Type level","type":"integer","format":"int64"}},"required":["code","bookingCounter"]}}}